CREATE FUNCTION [dbo].[CF_Edad_Persona_A_UnaFecha](@pFecha_Nac DATETIME, @pFechaAComparar DATETIME)
RETURNS SMALLINT
AS

BEGIN
DECLARE @Edad	SMALLINT

SET @Edad = (SELECT (CAST(DATEDIFF(dd, @pFecha_Nac, (@pFechaAComparar + 1)) / 365.25 AS SMALLINT)))

RETURN ISNULL(@Edad, 0)
END